Opened 3 years ago

Closed 3 years ago

#11290 closed enhancement (fixed)

whois-5.4.0

Reported by: Bruce Dubbs Owned by: Bruce Dubbs
Priority: normal Milestone: 8.4
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

New minor version.

Change History (3)

comment:1 by Bruce Dubbs, 3 years ago

Owner: changed from blfs-book to Bruce Dubbs
Status: newassigned

comment:2 by Bruce Dubbs, 3 years ago

Note that EVERY entry in the changelog is marked unstable.

whois (5.4.0) unstable; urgency=medium

  • Added support for the new libxcrypt 4.x. This allows mkpasswd to support many modern password hash methods.
  • Renamed the hash types (i.e. the arguments to -H) to use the naming convention established by John the Ripper.
  • Made mkpasswd use entropy gathered by crypt_gensalt(3), when available.
  • Fixed many portability bugs in mkpasswd.
  • Added the .gp TLD server.
  • Updated the list of new gTLDs.

-- Marco d'Itri <md@…> Fri, 26 Oct 2018 18:32:49 +0200

whois (5.3.2) unstable; urgency=medium

  • Added the .ge TLD server.
  • Updated the charset for whois.nic.cl. (Closes: #900047)
  • Updated the list of new gTLDs.

-- Marco d'Itri <md@…> Sun, 15 Jul 2018 12:38:42 +0200

whois (5.3.1) unstable; urgency=medium

  • mkpasswd: support passwords of arbitrary length. (Closes: #899254)
  • Added the .ls TLD server. (Closes: #896452)
  • Added support for -bzh and -uanic NIC handles.
  • Updated the list of new gTLDs.

-- Marco d'Itri <md@…> Tue, 22 May 2018 15:32:28 +0200

whois (5.3.0) unstable; urgency=medium

  • Implemented querying for ip6.arpa domains.
  • Updated the .pr TLD servers.
  • Updated the list of new gTLDs.

comment:3 by Bruce Dubbs, 3 years ago

Resolution: fixed
Status: assignedclosed

fixed at revision 20765.

Note: See TracTickets for help on using tickets.